@import url('https://fonts.googleapis.com/css2?family=Fascinate+Inline&family=Monoton&display=swap');

@font-face{
    font-family: logo-font;
    src: url(assets/header-assets/bookman-old-style/bookmanoldstyle_bold.ttf);
}

* {
    --main-font: "Inter", sans-serif;
    --white: #ffffff;
    --black: #000000;
    --primary-red: #ED213A;
    --secondary-red: #93291E;
    box-sizing: border-box;
    
    /* Shadows */
    --shadow-s: 
    inset 0px 1px 2px #ffffff30,
    0 1px 2px #00000030,
    0 2px 4px #00000015;

    --shadow-m: 
    inset 0px 1px 2px #ffffff50,
    0 2px 4px #00000030,
    0 4px 8px #00000015;

    --shadow-l: 
    inset 0px 1px 2px #ffffff70,
    0 4px 6px #00000030,
    0 6px 10px #00000015;
}

html, body {
    scroll-behavior: smooth;
    overflow-x: hidden;
    scrollbar-color: var(--primary-red) var(--secondary-red);
    scrollbar-width: thin;
}

h1, h2, h3, h4, h5, p{
    margin: 0;
    padding: 0;
}

body {
    margin: 0;
    padding: 0;
    font-family: var(--main-font);
    background: linear-gradient(to bottom, #ED213A, #93291E);
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    width: 100%;
    height: 100%;
}


.scratched-bg{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 10%;
    z-index: -1;
}

.scratched-bg-mobile{
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 20%;
    z-index: -1;
    scale: 125%;
}

header{
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    padding: 30px 50px;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 10;
    margin-top: 60px;
}

.home-page-header{
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    padding: 30px 50px;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 10;
    margin-top: 0px !important;
}

.header-logo{
    width: 100%;
    height: 60px;
    background-color: var(--white);
    color: var(--primary-red);
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: logo-font, serif;
    position: fixed;
    z-index: 10;
}


.login-search-container{
    display: flex;
    max-height: 45px;
    gap: 15px;
    position: relative;
}

.login-btn{
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
    color: var(--primary-red);
    z-index: 3;
    background-color: var(--white);
    border-radius: 50px;
    padding: 10px 5px 10px 15px;
    transition: 0.3s ease-in-out;
}

.login-btn p{
    margin-right: 15px;
    font-weight: 800;
}

.login-btn img{
    width: 20px;
    margin-right: 10px;
}

.login-btn-mobile{
    display: none !important;
}

.basket-white,
.user-white,
.search-white{
    display: none;
}

.search-btn{
    position: relative;
}

.basket-btn:hover,
.login-btn-mobile:hover,
.login-btn:hover,
.search-btn:hover{
    background-color: var(--secondary-red);
    color: var(--white);
}

.basket-btn:hover .basket-white,
.login-btn-mobile:hover .user-white,
.login-btn:hover .user-white,
.search-btn:hover .search-white{
    display: flex;
}

.basket-btn:hover .basket-red,
.login-btn-mobile:hover .user-red,
.login-btn:hover .user-red,
.search-btn:hover .search-red{
    display: none;
}

.basket-btn,
.login-btn-mobile,
.search-btn{
    background: var(--white);
    padding: 10px;
    border-radius: 50%;
    border: none;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    transition: 0.3s ease-in-out;

}

.basket-btn img,
.login-btn-mobile img,
.search-btn img{
    width: 20px;
}

.basket-btn{
    position: relative;
}

.basket-number{
    position: absolute;
    top: -5px;
    right: -5px;
    background-color: var(--secondary-red);
    color: var(--white);
    width: 20px;
    height: 20px;
    text-align: center;
    border-radius: 50%;
    font-size: 0.9em;
    display: flex;
    justify-content: center;
    align-items: center;
}

@media (max-width: 858px){
    header{
        padding: 50px 40px;
    }

    .login-btn{
        width: 40px;
    }

    .login-desktop{
        display: none;
    }
}


/* SEARCH FIELD */

.search-form-container{
    position: absolute;
    top: 100%;
    right: 0;
}

.headerSearchField{
    position: relative;
}

.formField{
    padding: 15px 15px;
    margin-top: 10px;
    width: 300px;
    border: none;
    border-radius: 50px;
    box-shadow: 2px 2px 2px hsl(0, 0%, 0%, 25%);
    position: relative;
}

.formSubmit{
    position: absolute;
    border: none;
    background: none;
    width: 32px;
    top: 62%;
    right: 10px;
    transform: translateY(-50%);
    opacity: 50%;
    cursor: pointer;
}

.formSubmit img{
    width: 100%;
}

/* Hide the container by default */
.search-form-container {
    display: none;
}

/* Show the container when the "active" class is present */
.search-form-container.active {
    display: block;
}